package dev.crucifixbeta.api.events.impl;

import dev.crucifixbeta.api.events.Event;
import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;

@Environment(EnvType.CLIENT)
public class SprintEvent extends Event {
   private static final SprintEvent instance = new SprintEvent();
   private boolean sprint;

   private SprintEvent() {
   }

   public static SprintEvent get() {
      instance.sprint = false;
      instance.setCancelled(false);
      return instance;
   }

   public boolean isSprint() {
      return this.sprint;
   }

   public void setSprint(boolean sprint) {
      this.sprint = sprint;
   }
}
